<?php
$from = $_POST["from"];
$idmacpelo_id = $_POST["macpelo_idmacpelo"];
$Valor = $_POST["Valor"];

$h = "3";
$hm = $h * 60;
$ms = $hm * 60;

$dataLeitura = gmdate("Y/m/d", time()-($ms)); 
$HoraLeitura = gmdate("H:m:sa", time()-($ms)); 

//$dataLeitura = date('Y-m-d');
//$HoraLeitura = date("h:i:sa");

$sensor = $_POST["Valor"];

include 'conectabanco.php';

try {
    // Preparando a instrução SQL com segurança (evita SQL Injection)
    $stmt = $conn->prepare("INSERT INTO leiturapelo(macpelo_idmacpelo, dataLeitura, HoraLeitura, Valor, velocidade, distancia) 
                            VALUES (:macpelo_idmacpelo, :dataLeitura, :HoraLeitura, :Valor, :velocidade, :distancia)");
    
    // Bind dos parâmetros
    $stmt->bindParam(':idmacpelo', $macpelo_id);
    $stmt->bindParam(':dataLeitura', $dataLeitura);
    $stmt->bindParam(':HoraLeitura', $HoraLeitura);
    $stmt->bindParam(':Valor', $Valor);
    $stmt->bindParam(':velocidade', $velocidade);
    $stmt->bindParam(':distancia', $distancia);

    // Executa a query
    $stmt->execute();
    
if ($stmt->execute()) {
    $rowCount = $stmt->rowCount();
    echo "Ação bem-sucedida.";
} else {
    $errorInfo = $stmt->errorInfo();
    echo "Erro: " . $errorInfo[2]; // Mensagem de erro específica do banco de dados
}    

    if ($from!='ESP'){
        echo "<a href='listaleitura.php'>Voltar para a lista de leituras</a>";}
} catch (PDOException $e) {
    echo "Erro ao inserir leitura: " . $e->getMessage();
}

// Fecha a conexão corretamente com PDO
$conn = null;
?>
